Bug 1027376 - (CVE-2017-6386) VUL-0: CVE-2017-6386: virglrenderer: memory leakage while in vrend_create_vertex_elements_state
(CVE-2017-6386)
VUL-0: CVE-2017-6386: virglrenderer: memory leakage while in vrend_create_ver...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Lin Ma
Security Team bot
https://smash.suse.de/issue/181036/
CVSSv2:RedHat:CVE-2017-6386:2.3:(AV:A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-01 07:31 UTC by Marcus Meissner
Modified: 2018-02-16 07:35 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-03-01 07:31:22 UTC
CVE-2017-6386 Virglrenderer: memory leakage while in vrend_create_vertex_elements_state 
From: P J P <ppandit () redhat com>
Date: Wed, 1 Mar 2017 12:08:16 +0530 (IST)

  Hello,

Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support for the virtio GPU, is vulnerable to memory leakage issue. It could occur when a guest tries to create vertex elements via 'VIRGL_OBJECT_VERTEX_ELEMENTS' command.


A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=737c3350850ca4dbc5633b3bdb4118176ce59920

Reference:
----------
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1427472

This issue was reported by Li Qiang of 360.cn Inc.

'CVE-2017-6386' assigned via -> http://cveform.mitre.org/

Thank you.
--
Prasad J Pandit / Red Hat Product Security Team
47AF CE69 3A90 54AA 9045 1053 DD13 3D32 FE5B 041F


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1427472
http://seclists.org/oss-sec/2017/q1/535
https://cgit.freedesktop.org/virglrenderer/commit/?id=737c3350850ca4dbc5633b3bdb4118176ce59920
Comment 1 Swamp Workflow Management 2017-03-01 23:00:15 UTC
bugbot adjusting priority
Comment 3 Swamp Workflow Management 2017-03-22 20:11:04 UTC
SUSE-SU-2017:0798-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    virglrenderer-0.5.0-11.1
Comment 4 Swamp Workflow Management 2017-03-31 16:17:05 UTC
openSUSE-SU-2017:0902-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
openSUSE Leap 42.2 (src):    virglrenderer-0.5.0-3.3.1
Comment 5 Marcus Meissner 2018-02-16 07:35:51 UTC
released